import type { FetchOptions } from 'ofetch';
import { GraphqlMiddlewareCache } from '../helpers/ClientCache.js';
import type { GraphqlResponse } from '#graphql-middleware-server-options-build';
import type { RequestCacheOptions } from '#graphql-middleware/types';
export declare function performRequest<T>(operation: string, operationName: string, method: 'get' | 'post', options: FetchOptions, cacheOptions?: RequestCacheOptions): Promise<GraphqlResponse<T>>;
declare module '#app' {
    interface NuxtApp {
        $graphqlCache?: GraphqlMiddlewareCache;
    }
}
