/**
 * Type check for falsy values.
 *
 * Used as the callback for array.filter, e.g.
 * items.filter(falsy)
 */
export declare function falsy<T>(value: T): value is NonNullable<T>;
/**
 * Get the parameters for the GraphQL middleware query.
 */
export declare function buildRequestParams(variables?: Record<string, any> | undefined | null): Record<string, any>;
