import { type GraphqlMiddlewareMutationName, type GetMutationArgs, type MutationObjectArgs, type GetMutationResult } from './shared.js';
import type { GraphqlMiddlewareMutation } from '#build/nuxt-graphql-middleware';
import type { GraphqlResponse } from '#graphql-middleware-server-options-build';
/**
 * Performs a GraphQL upload mutation.
 */
export declare function useGraphqlUploadMutation<T extends GraphqlMiddlewareMutationName, R extends GetMutationResult<T, GraphqlMiddlewareMutation>>(...args: GetMutationArgs<T, GraphqlMiddlewareMutation> | [MutationObjectArgs<T, GraphqlMiddlewareMutation>]): Promise<GraphqlResponse<R>>;
